From f561408a22fb18fbe7105a5ab82372676db184ed Mon Sep 17 00:00:00 2001
From: Wen Gong <wgong@codeaurora.org>
Date: Fri, 10 Apr 2020 14:54:57 +0800
Subject: [PATCH 104/124] ath11k: add support for UTF mode for QCA6390

This patch enable UTF mode support for QCA6390.

Tested-on: QCA6390 WLAN.HST.1.0.1-01230-QCAHSTSWPLZ_V2_TO_X86-1

Change-Id: I02eaab8c108834dca20e351c2f5b262bde173800
Signed-off-by: Wen Gong <wgong@codeaurora.org>
---
 drivers/net/wireless/ath/ath11k/pci.c      |  1 +
 drivers/net/wireless/ath/ath11k/testmode.c | 15 +++++++++------
 drivers/net/wireless/ath/ath11k/testmode.h |  1 -
 3 files changed, 10 insertions(+), 7 deletions(-)

diff --git a/drivers/net/wireless/ath/ath11k/pci.c b/drivers/net/wireless/ath/ath11k/pci.c
index ffc03d0..625fdbf 100644
--- a/drivers/net/wireless/ath/ath11k/pci.c
+++ b/drivers/net/wireless/ath/ath11k/pci.c
@@ -1384,6 +1384,7 @@ static int ath11k_pci_probe(struct pci_dev *pdev,
 
 	ab->dev = &pdev->dev;
 	ab->hw_rev = hw_rev;
+	ab->fw_mode = ATH11K_FIRMWARE_MODE_NORMAL;
 	pci_set_drvdata(pdev, ab);
 	ab_pci = ath11k_pci_priv(ab);
 	ab_pci->dev_id = pci_dev->device;
diff --git a/drivers/net/wireless/ath/ath11k/testmode.c b/drivers/net/wireless/ath/ath11k/testmode.c
index 5351276..b03e028 100644
--- a/drivers/net/wireless/ath/ath11k/testmode.c
+++ b/drivers/net/wireless/ath/ath11k/testmode.c
@@ -10,6 +10,7 @@
 #include "hw.h"
 #include "core.h"
 #include "testmode_i.h"
+#include "hif.h"
 
 #define FTM_SEGHDR_CURRENT_SEQ GENMASK(3, 0)
 #define FTM_SEGHDR_TOTAL_SEGMENTS GENMASK(7, 4)
@@ -306,13 +307,14 @@ static int ath11k_tm_cmd_testmode_start(struct ath11k *ar, struct nlattr *tb[])
 	mutex_unlock(&ar->conf_mutex);
 	init_completion(&ar->fw_mode_reset);
 
-	/* ahb power down and up will switch firmware from normal mode
+	/* power down and up will switch firmware from normal mode
 	 * to factory mode
 	 */
 	set_bit(ATH11K_FLAG_FW_RESTART_FOR_HOST, &ar->ab->dev_flags);
-	ath11k_ahb_power_down(ar->ab);
+	ath11k_hif_power_down(ar->ab);
 	ar->ab->fw_mode = ATH11K_FIRMWARE_MODE_FTM;
-	ath11k_ahb_power_up(ar->ab);
+	ath11k_qmi_free_resource(ar->ab);
+	ath11k_hif_power_up(ar->ab);
 
 	if (!wait_for_completion_timeout(&ar->fw_mode_reset,
 					 FTM_MODE_RESET_TIMEOUT_HZ)) {
@@ -352,13 +354,14 @@ static int ath11k_tm_cmd_testmode_stop(struct ath11k *ar, struct nlattr *tb[])
 	mutex_unlock(&ar->conf_mutex);
 	init_completion(&ar->fw_mode_reset);
 
-	/* ahb power down and up will switch firmware from factory mode
+	/* power down and up will switch firmware from factory mode
 	 * to normal mode
 	 */
 	set_bit(ATH11K_FLAG_FW_RESTART_FOR_HOST, &ar->ab->dev_flags);
-	ath11k_ahb_power_down(ar->ab);
+	ath11k_hif_power_down(ar->ab);
 	ar->ab->fw_mode = ATH11K_FIRMWARE_MODE_NORMAL;
-	ath11k_ahb_power_up(ar->ab);
+	ath11k_qmi_free_resource(ar->ab);
+	ath11k_hif_power_up(ar->ab);
 
 	if (!wait_for_completion_timeout(&ar->fw_mode_reset,
 					 FTM_MODE_RESET_TIMEOUT_HZ)) {
diff --git a/drivers/net/wireless/ath/ath11k/testmode.h b/drivers/net/wireless/ath/ath11k/testmode.h
index 4ed9841..a010bf3 100644
--- a/drivers/net/wireless/ath/ath11k/testmode.h
+++ b/drivers/net/wireless/ath/ath11k/testmode.h
@@ -4,7 +4,6 @@
  */
 
 #include "core.h"
-#include "ahb.h"
 
 #define FTM_MODE_RESET_TIMEOUT_HZ (10 * HZ)
 
-- 
2.7.4

